using PARR.DAL.Context;
using PARR.DAL.Models.Unit;
using PARR.DAL.Services.Interfaces.Unit;

namespace PARR.DAL.Services.Implementations.Unit
{
    internal class UnitKiiUnitService : IUnitKiiUnitService
    {
        private readonly DataContext dataContext;

        public UnitKiiUnitService(DataContext dataContext)
        {
            this.dataContext = dataContext;
        }

        public IQueryable<UnitKiiUnit> Get()
        {
            return dataContext.UnitKiiUnits;
        }
    }
}
